Package org.flowable.cmmn.api.migration

# Class CaseInstanceBatchMigrationPartResult

java.lang.Object
org.flowable.cmmn.api.migration.CaseInstanceBatchMigrationPartResult

public class CaseInstanceBatchMigrationPartResult extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `batchId`
  `protected String`
  `caseInstanceId`
  `protected String`
  `migrationMessage`
  `protected String`
  `migrationStacktrace`
  `protected String`
  `result`
  `protected String`
  `sourceCaseDefinitionId`
  `protected String`
  `status`
  `protected String`
  `targetCaseDefinitionId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CaseInstanceBatchMigrationPartResult()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBatchId()`
  `String`
  `getCaseInstanceId()`
  `String`
  `getMigrationMessage()`
  `String`
  `getMigrationStacktrace()`
  `String`
  `getResult()`
  `String`
  `getSourceCaseDefinitionId()`
  `String`
  `getStatus()`
  `String`
  `getTargetCaseDefinitionId()`
  `void`
  `setBatchId(String batchId)`
  `void`
  `setCaseInstanceId(String caseInstanceId)`
  `void`
  `setMigrationMessage(String migrationMessage)`
  `void`
  `setMigrationStacktrace(String migrationStacktrace)`
  `void`
  `setResult(String result)`
  `void`
  `setSourceCaseDefinitionId(String sourceCaseDefinitionId)`
  `void`
  `setStatus(String status)`
  `void`
  `setTargetCaseDefinitionId(String targetCaseDefinitionId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### batchId

    protected String batchId

  - ### status

    protected String status

  - ### result

    protected String result

  - ### caseInstanceId

    protected String caseInstanceId

  - ### sourceCaseDefinitionId

    protected String sourceCaseDefinitionId

  - ### targetCaseDefinitionId

    protected String targetCaseDefinitionId

  - ### migrationMessage

    protected String migrationMessage

  - ### migrationStacktrace

    protected String migrationStacktrace

- ## Constructor Details

  - ### CaseInstanceBatchMigrationPartResult

    public CaseInstanceBatchMigrationPartResult()

- ## Method Details

  - ### getBatchId

    public String getBatchId()

  - ### setBatchId

    public void setBatchId(String batchId)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getResult

    public String getResult()

  - ### setResult

    public void setResult(String result)

  - ### getCaseInstanceId

    public String getCaseInstanceId()

  - ### setCaseInstanceId

    public void setCaseInstanceId(String caseInstanceId)

  - ### getSourceCaseDefinitionId

    public String getSourceCaseDefinitionId()

  - ### setSourceCaseDefinitionId

    public void setSourceCaseDefinitionId(String sourceCaseDefinitionId)

  - ### getTargetCaseDefinitionId

    public String getTargetCaseDefinitionId()

  - ### setTargetCaseDefinitionId

    public void setTargetCaseDefinitionId(String targetCaseDefinitionId)

  - ### getMigrationMessage

    public String getMigrationMessage()

  - ### setMigrationMessage

    public void setMigrationMessage(String migrationMessage)

  - ### getMigrationStacktrace

    public String getMigrationStacktrace()

  - ### setMigrationStacktrace

    public void setMigrationStacktrace(String migrationStacktrace)